#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>
#include <stdio.h>
#include <string.h>
#include <zephyr/drivers/spi.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/logging/log.h>
LOG_MODULE_REGISTER(app, LOG_LEVEL_INF);

#define SPI_OP  SPI_OP_MODE_MASTER | SPI_WORD_SET(8) | SPI_MODE_CPHA
const struct spi_dt_spec hartmodem_spi_dev = SPI_DT_SPEC_GET(DT_ALIAS(hartmodem), SPI_OP, 0);

void main(void)
{
	printk("Hello World! \n");

	if (!device_is_ready(hartmodem_spi_dev.bus))
	{
		printk("%s: HART Modem is not ready.\n", hartmodem_spi_dev.bus->name);
		return;
	}
}
